%define build_firefox 0
%define build_thunderbird 1
%define ext_guid '{3550f703-e582-4d05-9a08-453d09bdfdc6}'
%define ext_desc \\\
Access bi-directionaly to Google contacts via address books.\\\
This extension detects gmail accounts which have already set up \\\
and creates address books for each of them. Cards in the address \\\
books are synchronized with Google contacts; they represent the current \\\
Google contacts contents and Google contacts will be modified when you \\\
modify the cards. TB's mailing lists and Google's contacts groups are \\\
synchronized in the same manner.


Name: google_contacts
License: MPL
Group: Applications/Internet
Summary: Google Contacts access for Thunderbird
Version: 0.5.56
Release: 1%{?dist}
URL: http://gitorious.org/lightning-exchange-provider/pages/Home
Packager: Jaroslaw Polok <jaroslaw.polok@cern.ch>
Vendor: CERN, http://cern.ch/linux
Source0: gmcont0556.xpi
Source100: mozilla-extension-update.sh
ExclusiveArch: i386 x86_64
BuildRoot: %{_tmppath}/%{name}-%{version}-build
BuildRequires: unzip

%description
%{ext_desc}

%if %{build_thunderbird}

%define update_thunderbird \\\
  %{_libdir}/thunderbird-%{name}/mozilla-extension-update.sh --appname thunderbird \\\
  --extname %{ext_guid} --basedir %{_libdir} --extpath %{_libdir}/thunderbird-%{name} --action
  
%package -n thunderbird-%{name}
Summary: Google Contacts access for Thunderbird
Requires:  thunderbird-lightning
Group: Applications/Internet

%description -n thunderbird-%{name}
%{ext_desc}

%post -n thunderbird-%{name}
%{update_thunderbird} install ||:

%preun -n thunderbird-%{name}
if [ $1 = 0 ]; then
 %{update_thunderbird} remove ||:
fi 

%triggerin -n thunderbird-%{name} -- thunderbird
%{update_thunderbird} install ||:


%files -n thunderbird-%{name}
%defattr(-,root,root,-)
%{_libdir}/thunderbird-%{name}
%{_libdir}/thunderbird-%{name}/*

%endif #build_thunderbird

%build

%install

%define real_src %{SOURCE0}

%if %{build_thunderbird}
mkdir -p $RPM_BUILD_ROOT%{_libdir}/thunderbird-%{name}
unzip -qod $RPM_BUILD_ROOT%{_libdir}/thunderbird-%{name} %{real_src}
install -p -m 755 %{SOURCE100} $RPM_BUILD_ROOT%{_libdir}/thunderbird-%{name}/mozilla-extension-update.sh
%endif

%changelog

* Thu Jun 17 2010 Jaroslaw Polok <Jaroslaw.Polok@cern.ch> - 0.4
- Initial release for slc5
- Modeled this package on Lubomir Rintel one from EPEL for thunderbird-lightning.
